% Module MISC in WAFO Toolbox. 
% Version 2.1.1   15-Sep-2005 
% 
% readme      - Readme file for module MISC in WAFO Toolbox 
% 
% Functions
% binom       - Calculates the binomial coefficient n!/((n-m)!*m!) 
% csort       - Counting sorting
% findpeaks   - Find peaks of vector or matrix possibly rainflow filtered 
% genchol     - Generalized Cholesky factorization
% hypgf       - Hypergeometric function F(a,b,c,z) 
% sinc        - Sin(pi*x)/(pi*x) function. 
% smooth      - Calculates a smoothing spline. 
%
% Oceanographic constants
% gravity     - Returns the constant acceleration of gravity 
% wdensity    - Returns the water density 
%
% Integration
% ccquad      - Numerical integration using a Clenshaw-Curtis quadrature. 
% gaussq      - Numerically evaluates a integral using a Gauss quadrature. 
% gaussq2d    - Numerically evaluates a 2D integral using Gauss quadrature. 
% qrule       - Compute abscissas and weight factors for Gaussian quadratures 
% qrule2d     - Compute abscissas and weight factors for Gaussian quadratures 
% simpson     - Numerical integration with the Simpson method 
%
% Plotting utilities
% clevels     - Extract the contour levels from the contour matrix
% cltext      - Places contour level text in the current window 
% fcolorbar   - Display color bar with discrete color axis for filled contour plot.
% fwaitbar    - Fast display of wait bar.
% figtext     - Places text in figure window. 
% maximizefigs- Maximize figure(s) window size
% wafostamp   - Prints a caption "made by WAFO" in current figure. 
%
% Documentation utilities
% geth1line   - Extracts the first comment line (the H1 line) of a m-file 
% mkcontents  - Makes Contents file in current working directory. 
% wafoversion - Wave Analysis for Fatigue and Oceanography version.
%
% Misc
% choices     - Create a list of choices with uicontrols and callbacks.
% choicex     - Close a list of choices.
% comnsize    - Check if all input arguments are either scalar or of common size.
% levels      - Calculates discrete levels given the parameter matrix. 
% loaddata    - Loads a matrix from a text file. 
% parseoptions- Create or alter a OPTIONS structure


