%Module SPEC in WAFO Toolbox. 
%Version 2.1.1   07-Sep-2005 
% 
%   readme - Readme file for module SPEC in WAFO Toolbox 
%
%Model spectra
% demospec     - Loads a precreated spectrum of chosen type 
% getjonswappeakedness - Peakedness factor Gamma given Hm0 and Tp for JONSWAP
% jonswap      - Calculates (and plots) a JONSWAP spectral density 
% mccormick    - Calculates (and plots) a McCormick spectral density. 
% ohspec       - Calculates (and plots) a Ochi-Hubble spectral density. 
% ohspec2      - Calculates and plots a bimodal Ochi-Hubble spectral density 
% ohspec3      - Calculates Bimodal Ochi-Hubble spectral densities 
% oscspec      - Spectral density for a harmonic oscillator 
% phi1         - Factor for transforming spectra to finite water depth spectra 
% pmspec       - Calculates (and plots) a Pierson-Moskowitz spectral density. 
% tmaspec      - Calculates a JONSWAP spectral density for finite water depth 
% torsethaugen - Calculates a double peaked (swell + wind) spectrum 
% wallop       - Calculates (and plots) a Wallop spectral density. 
%
%Directional spectra and spreading functions
% mkdspec      - Make a directional spectrum 
% spreading    - Directional spreading functions 
%
%Spectral characteristics
% dspec2char   - Evaluates directional spectral characteristics 
% spec2bw      - Evaluates some spectral bandwidth and irregularity factors 
% spec2char    - Evaluates spectral characteristics and their covariance 
% spec2mom     - Calculates spectral moments from spectrum 
%
%Spectrum and covariance functions
% cov2spec     - Computes spectral density given the auto covariance function 
% covinterp    - Interpolation of covariance function and derivatives 
% createcov    - Covariance class constructor 
% createspec   - Spectrum structure constructor 
% freqtype     - Returns the frequency type of a Spectral density struct. 
% lagtype      - Returns the lag type of a Covariance struct.
% rotspec      - Rotate spectrum anti-clockwise around the origin. 
% scalespec    - Scale spectral density so that the moments equals m0,m2. 
% spec2cov     - Computes covariance function and its derivatives 
% spec2cov2    - Computes covariance function and its derivatives, alternative version
% spec2dt      - Computes sampling interval from Nyquist frequency in spectrum 
% spec2spec    - Transforms between different types of spectra 
% specinterp   - Interpolaton and zero-padding of spectrum 
% ttspec       - Toggle Transform between angular frequency and frequency spectrum 
% wnormspec    - Normalize a spectral density such that m0=m2=1 (private) 
% wspecplot    - Plot a spectral density 
%
%Dispersion relation
% k2w          - Translates from wave number to frequency 
% w2k          - Translates from frequency to wave number 




